{% extends "base_navbar.html" %}
{% load static %}

{% block navbar_projets %}
    active
{% endblock %}

{% block title %}
    {% if edit %}
        Modifier un créneau
    {% else %}
        Créer une créneau
    {% endif %}
{% endblock %}

{% block head_css %}
    <link href="{% static 'projet/css/projet.css' %}" rel="stylesheet" media="screen">
{% endblock %}

{% block content %}
    <div class="container">
        <div class="main">
            <h2>
                {% if edit %}Modifier{% else %}Créer{% endif %} un créneau
            </h2>
            <p>
                {% if edit %}
                    Vous souhaitez modifier votre créneau ?
                {% else %}
                    Ici, vous pouvez créer votre propre créneau !
                {% endif %}
            </p>

            <form method="post" action="
                    {% if edit %}{% url 'edit_creneau' id_creneau %}{% else %}{% url 'ajout_creneau' id_tache %}{% endif %}">
                {% csrf_token %}

                {% if form.non_field_errors %}
                    <div class="alert alert-danger" role="alert">
                        <ul>
                            {% for error in form.non_field_errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                {% endif %}

                {% for field in form.visible_fields %}
                    <div class="form-group row">
                        <div class="col-12">
                            {{ field.label_tag }}

                            {% if field.errors %}
                                <ul>
                                    {% for error in field.errors %}
                                        <li>{{ error }}</li>
                                    {% endfor %}
                                </ul>
                            {% endif %}

                            {{ field }}
                            {% if field.help_text %}
                                <small class="form-text text-muted">{{ field.help_text }}</small>
                            {% endif %}

                        </div>
                    </div>
                {% endfor %}
                <input type="submit" class="btn btn-primary form-control" value="Valider"/>
            </form>
        </div>
    </div>
{% endblock %}

{% block footer_javascript %}
    {# Date time picker #}
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/js/tempusdominus-bootstrap-4.min.js"></script>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/css/tempusdominus-bootstrap-4.min.css"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/locale/fr.js"></script>

    <script type="text/javascript">
        $(function () {
            picker_debut = $('#id_debut');
            picker_debut.datetimepicker({
                locale: 'fr',
                format: 'DD/MM/YYYY HH:mm',
                date: null
            });

            picker_fin = $('#id_fin');
            picker_fin.datetimepicker({
                locale: 'fr',
                format: 'DD/MM/YYYY HH:mm',
                date: null
            });

            {% if edit %}
                picker_debut.datetimepicker('date', '{{ form.debut.value|date:'d/m/Y H:i' }}');
                picker_fin.datetimepicker('date', '{{ form.fin.value|date:'d/m/Y H:i' }}');
            {% endif %}
        });
    </script>
{% endblock %}
